import { Config } from '@pnpm/config';
import { IncludedDependencies } from '@pnpm/types';
export declare function rcOptionsTypes(): Pick<any, never>;
export declare const cliOptionsTypes: () => {
    'only-projects': BooleanConstructor;
    recursive: BooleanConstructor;
};
export declare const shorthands: {
    D: string;
    P: string;
};
export declare const commandNames: string[];
export declare function help(): string;
export type ListCommandOptions = Pick<Config, 'allProjects' | 'dev' | 'dir' | 'optional' | 'production' | 'selectedProjectsGraph'> & Partial<Pick<Config, 'cliOptions'>> & {
    alwaysPrintRootPackage?: boolean;
    depth?: number;
    lockfileDir?: string;
    long?: boolean;
    parseable?: boolean;
    onlyProjects?: boolean;
    recursive?: boolean;
};
export declare function handler(opts: ListCommandOptions, params: string[]): Promise<string>;
export declare function render(prefixes: string[], params: string[], opts: {
    alwaysPrintRootPackage?: boolean;
    depth?: number;
    include: IncludedDependencies;
    lockfileDir: string;
    long?: boolean;
    json?: boolean;
    onlyProjects?: boolean;
    parseable?: boolean;
}): Promise<string>;
